# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zoholib/version'

Gem::Specification.new do |spec|
  spec.name          = 'zoholib'
  spec.version       = Wedoops::Zoholib::VERSION
  spec.date          = '2020-04-25'
  spec.authors       = ['Wedoops.io']
  spec.email         = 'wedoops@wedoops.io'
  spec.summary       = 'Zoho Library'
  spec.description   = 'A library for interact with ZOHO REST API'
  spec.homepage      = 'http://www.wedoops.io'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end
  #pec.files = Dir['lib/**/*.rb']
  spec.files         = `git ls-files`.split("\n")
  spec.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  spec.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  spec.require_paths = ["lib"]
  #spec.files = `git ls-files -z`.split("\x0").reject do |f|
  #  f.match(%r{^(test|spec|features)/})
  #end
  #spec.bindir        = 'exe'
  #spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  #spec.require_paths = ['lib']

   spec.add_development_dependency 'bundler', '~> 1.15'
   spec.add_development_dependency 'rake', '~> 13.0.1'
   spec.add_development_dependency 'rspec', '~> 3.0'
   #spec.add_development_dependency 'httparty','~> 0.18.0'
   #spec.add_development_dependency 'http','~> 4.4.0'
   #spec.add_development_dependency 'logger','~> 1.4.2'
   #spec.add_development_dependency 'savon','~> 2.12.0'
   #spec.add_development_dependency 'sib-api-v3-sdk','~> 5.3.0'
   #spec.add_development_dependency 'launchy','~> 2.5.0'
#



end
